# $Revision: 1.20 $, $Date: 2005/09/21 15:51:27 $
Summary:	sudo shell
Summary(pl):	Powoka sudo
Name:		sudosh
Version:	1.6.3
Release:	1
License:	Open Software License v2.0
Group:		Applications/Shells
Source0:	http://dl.sourceforge.net/sudosh/%{name}-%{version}.tar.gz
# Source0-md5:	700ee8c6060c1512ac0c2731b5727cc6
URL:		http://sourceforge.net/projects/sudosh/
Requires(post,preun):	sed >= 4.0
Requires(post):	grep
Requires:	sudo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin

%description
sudosh is a filter that takes advantage of PTY devices in order to sit
between the user's keyboard and a program, in this case a shell. It
was designed specifically to be used in conjunction with sudo, and
allows the execution of a root shell with logging. It is basically a
VCR and will record root shell sessions and also has the ability to
play back the sessions as they were originally recorded. It records
all input/output, keyboard input, and timing information so that the
session can be played back in the original format.

%description -l pl
sudosh to filtr wykorzystujcy zalety urzdze PTY, aby poredniczy
midzy klawiatur uytkownika a programem, w tym wypadku powok.
Zosta zaprojektowany w szczeglnoci do uywania z programem sudo i
umoliwia wywoywanie powoki roota z logowaniem. Jest zasadniczo
"kamer" zapisujc sesje powoki roota; ma take moliwo
odtwarzania sesji tak, jak zostay oryginalnie zapisane. Zapisuje cae
wejcie i wyjcie, wejcie z klawiatury i informacje o czasie - tak,
e sesje mona odtwarza w oryginalnej postaci.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/var/log/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
	umask 022
	echo '%{_bindir}/sudosh' >> /etc/shells
else
	grep -q '^%{_bindir}/sudosh$' /etc/shells || echo '%{_bindir}/sudosh' >> /etc/shells
fi

%preun
if [ "$1" = "0" ]; then
	sed -i -e '/^%(echo %{_bindir} | sed -e 's,/,\\/,g')\/sudosh$/d' /etc/shells
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS PLATFORMS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[18]/*
%attr(1733,root,root) %dir /var/log/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sudosh.spec,v $
Revision 1.20  2005/09/21 15:51:27  glen
- rel 1 for stable (1.6.x) branch

Revision 1.19  2005/08/17 15:38:22  glen
- see also http://sourceforge.net/tracker/index.php?func=detail&aid=1239951&group_id=119536&atid=684354

Revision 1.18  2005/08/17 15:36:56  glen
- old 1.8.x is available on DEVEL

Revision 1.17  2005/08/17 15:35:41  glen
- back to rev 1.12 for 1.6.3 series

Revision 1.12  2005/06/22 14:48:16  glen
- fixed sed (need to escape forward slashes)

Revision 1.11  2005/06/05 22:01:56  paszczus
- updated to 1.6.3

Revision 1.10  2005/05/12 08:30:41  glen
- grep dep

Revision 1.9  2005/05/12 08:28:16  glen
- simplify; cosmetics

Revision 1.8  2005/05/12 08:25:45  glen
- no info files in package, remove scriptlet

Revision 1.7  2005/05/12 07:08:50  paszczus
- added post,preun; release 0.2

Revision 1.6  2005/05/12 06:48:50  paszczus
- updated to 1.6.2

Revision 1.5  2005/05/11 07:45:45  glen
- little security: sticky bit to log directory, as it's already world writable

Revision 1.4  2005/05/10 18:59:34  glen
- add logdir

Revision 1.3  2005/05/10 18:45:45  qboosh
- pl, added COPYING (OSLv2 not in common-licenses)

Revision 1.2  2005/05/10 15:36:43  paszczus
- little cleanup; added R: sudo

Revision 1.1  2005/05/10 15:19:13  paszczus
- initial pld spec
